<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.glxp.mipsdl.dao.inout.IoCodeDao">
  <resultMap id="BaseResultMap" type="com.glxp.mipsdl.entity.inout.IoCodeEntity">
    <!--@mbg.generated-->
    <!--@Table io_code-->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="code" jdbcType="VARCHAR" property="code" />
    <result column="mainAction" jdbcType="VARCHAR" property="mainAction" />
    <result column="action" jdbcType="VARCHAR" property="action" />
    <result column="orderId" jdbcType="VARCHAR" property="orderId" />
    <result column="corpOrderId" jdbcType="VARCHAR" property="corpOrderId" />
    <result column="nameCode" jdbcType="VARCHAR" property="nameCode" />
    <result column="batchNo" jdbcType="VARCHAR" property="batchNo" />
    <result column="produceDate" jdbcType="VARCHAR" property="produceDate" />
    <result column="expireDate" jdbcType="VARCHAR" property="expireDate" />
    <result column="serialNo" jdbcType="VARCHAR" property="serialNo" />
    <result column="packageLevel" jdbcType="VARCHAR" property="packageLevel" />
    <result column="supId" jdbcType="VARCHAR" property="supId" />
    <result column="relId" jdbcType="INTEGER" property="relId" />
    <result column="count" jdbcType="INTEGER" property="count" />
    <result column="reCount" jdbcType="INTEGER" property="reCount" />
    <result column="deptCode" jdbcType="VARCHAR" property="deptCode" />
    <result column="invCode" jdbcType="VARCHAR" property="invCode" />
    <result column="warehouseCode" jdbcType="VARCHAR" property="warehouseCode" />
    <result column="updateTime" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="createTime" jdbcType="TIMESTAMP" property="createTime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    id, code, mainAction, `action`, orderId, corpOrderId, nameCode, batchNo, produceDate,
    expireDate, serialNo, packageLevel, supId, relId, `count`, reCount, deptCode, invCode,
    warehouseCode, updateTime, createTime
  </sql>
</mapper>
